@import "../../style/miam.scss";

.miam-flex-column {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

.miam-flex-row {
  display: flex;
  flex-direction: row;
  margin: auto;
  justify-content: space-between;
  align-items: center;
}

.miam-recipe-card {
  border-radius: var(--m-border-radius);
  box-shadow: var(--m-shadow-small);
  background-color: #fff;
  width: 320px;
  height: 100%;
  min-height: 470px;
  display: flex;
  flex-direction: column;
  position: relative;

  .miam-recipe-card__header {
    display: none;
  }

  .miam-recipe-card__picture {
    cursor: pointer;
    height: 240px;
    position: relative;

    img {
      border-top-left-radius: var(--m-border-radius);
      border-top-right-radius: var(--m-border-radius);
      width: 100%;
      height: 100%;
      object-fit: cover;
      position: absolute;
      z-index: var(--m-z-index-position-absolute-low);
      transition: var(--m-default-transition);
    }

    .miam-recipe-card__picture__gradient {
      content:'';
      border-top-left-radius: var(--m-border-radius);
      border-top-right-radius: var(--m-border-radius);
      position:absolute;
      width:100%; 
      height:100%;
      background: linear-gradient(180deg, rgba(0, 0, 0, 0) 57.92%, rgba(0, 0, 0, 0.75) 100%, rgba(0, 0, 0, 0.75) 100%);
    }

    .miam-recipe-card__picture__tag{
      position: absolute;
      left: 16px;
      bottom: 16px;
      background-color: var(--m-color-primary-light);
      color : var(--m-color-primary);
      border-radius: 5px;
      padding: 8px;
      text-transform: uppercase;
      font-weight: 500;
    }

    .miam-recipe-card__picture__actions {
      @extend .miam-flex-column;
      position: absolute;
      height: calc(100% - 80px);
      z-index: var(--m-z-index-position-absolute-high);
      top: 8px;
      right: 16px;

      .miam-recipe-card__actions__icon {
        margin: 0 0 16px;
        object-fit: contain;
        box-shadow: var(--m-shadow-small);
        padding: 8px;
        background-color: #fff;
        border-radius: var(--m-border-radius-circle);
      }
    }

    .miam-recipe-card__picture__sponsor {
      position: absolute;
      bottom: 16px;
      right: 16px;
      height: auto;
      max-height: 72px;
      width: auto;
      max-width: 96px;
      object-fit: contain;
    }
  }

  .miam-recipe-card__attributes {
    @extend .miam-flex-column;
    flex: 1 1;
    padding: 8px 16px 16px 16px;
    justify-content: space-between;

    .miam-recipe-card__attributes__title {
      cursor: pointer;
      line-height: 30;
      
      font-weight: bold;
      overflow: hidden;
      font-size: 20px;
      font-weight: 500;
      text-overflow: ellipsis;
      display: -webkit-box;
      -webkit-box-orient: vertical;
      -webkit-line-clamp: 2;
      transition: var(--m-default-transition);
      margin: 0 8px 8px 0;
      line-height: 1.5;
      letter-spacing: normal;
      text-align: left;
      color: #202020;
      

      &:hover {
        text-decoration: underline;
        color: var(--m-color-primary);
      }
    }

    .miam-recipe-card__attributes__ingredients {
      overflow: hidden;
      text-overflow: ellipsis;
      display: -webkit-box;
      font-size: 14px;
      color: var(--m-color-grey-text);
      font-weight: 300;
      -webkit-line-clamp: 1;
      -webkit-box-orient: vertical;
    }

    .miam-recipe-card__attributes__infos {
      display: flex;
      flex-direction: row;
      padding: 8px 0;
      .miam-recipe-card__attributes__info {
        display: flex;
        flex-direction: row;
        margin: 0 16px 0 0;
        .miam-recipe-card__info__label {
          font-size: 14px;
          margin-left: 8px;
          text-transform: capitalize;
        }
      }
    }
  }
}

.miam-recipe-card__attributes__control {
  display: flex;
  align-items: center;
  justify-content: space-between;

  .miam-recipe-card__control__left__col {
    display: flex;
    flex-direction: column-reverse;
    .miam-recipe-card__left__col__counter {
      display: flex;
      align-items: center;
      
      ng-miam-counter-input {
        .miam-counter-input__icon {
          margin-right: 8px;
        }
      }
    }
    .miam-recipe-card__left__col__custom{
      height: 48px;
      display: flex;
      justify-content: flex-start;
      align-items: flex-end;

      .icon-container {
        cursor: pointer;
      }
    }
  }

  .miam-recipe-card__control__right__col {
    display: flex;
    flex-direction: column;
    align-items: center;
    min-width: 60px;

    .miam-recipe-card__right__col__price{
      height: 48px;
    }
  }
}
